﻿
<script type="text/template" id="t-loan-details">
    <div class="loan" id="details-loan">
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="panel panel-info mar-bot-10">
                    <div class="panel-heading">
                        <h3 class="pull-left panel-title sm-btns">LOAN PREVIEW</h3>
                        <div class="pull-right">
                            <button type="button" class="btn btn-xs btn-info" data-bind="click:openReturnForm"><i class="fa fa-check-circle"></i></button>
                            <button type="button" class="btn btn-xs btn-info" data-bind="visible: editEnabled"><i class="fa fa-pencil"></i></button>
                            <button type="button" class="btn btn-xs btn-info" data-bind="visible: editEnabled, click:backToList"><i class="fa fa-arrow-circle-left"></i></button>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="panel-body main-control-body">
                        <div class="row clearfix">
                            <div class="col-sm-12" data-bind="visible: editEnabled">
                                <div class="form-float">
                                    <div class="form-line row clearfix">
                                        <div class="col-sm-2" data-bind="visible: editEnabled">
                                            <input name="existing_user" type="radio" class="with-gap" id="existing_user_yes" data-bind="click:existensRadioClick.bind($data, 0)" checked />
                                            <label for="existing_user_yes">Existing</label>
                                            <input name="existing_user" type="radio" class="with-gap" id="existing_user_no" data-bind="click:existensRadioClick.bind($data, 1)" />
                                            <label for="existing_user_no">New</label>
                                        </div>
                                        <div class="col-sm-10"><input type="text" placeholder="Search Customer" class="form-control" id="search-customer" data-bind="enable:searchCustomerEnabled"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-12">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Name</span>
                                        <label class="col-form-label-sm" data-bind="text: customerData().Name"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Company</span>
                                        <label class="col-form-label-sm" data-bind="text: customerData().Company"></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-12">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Address 1</span>
                                        <div class="input-group">
                                            <label class="col-form-label-sm" data-bind="text: customerData().Address1"></label>
                                            <span class="form-label-symbol">
                                                <span class="fa fa-map-marker"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">City</span>
                                        <div class="input-group">
                                            <label class="col-form-label-sm" data-bind="text: customerData().City"></label>
                                            <span class="form-label-symbol">
                                                <span class="fa fa-map-marker"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Post Code</span>
                                        <div class="input-group">
                                            <label class="col-form-label-sm" data-bind="text: customerData().ZipCode"></label>
                                            <span class="form-label-symbol">
                                                <span class="fa fa-map-marker"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-12">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Email</span>
                                        <div class="input-group">
                                            <label class="col-form-label-sm" data-bind="text: customerData().Email"></label>
                                            <span class="form-label-symbol">
                                                <span class="fa fa-envelope-o"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <span class="form-span-label">Site</span>
                                    <div class="form-line">
                                        @*<select class="form-control show-tick" id="edit-facilities-select" data-bind="options: facilities,
                                            optionsText: 'Name',
                                            optionsValue: 'Id',
                                            optionsCaption: 'Select Site', value: customerData().FacilityId"></select>*@
                                        <label class="col-form-label-sm" data-bind="text: facilityData().FacilityName"></label>                                        
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Mobile #</span>
                                        <div class="input-group">
                                            <label class="col-form-label-sm" data-bind="text: customerData().MobileNumber"></label>
                                            <span class="form-label-symbol">
                                                <span class="fa fa-phone"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        @*<select class="form-control show-tick" id="edit-types-select" data-bind="options: types,
                                            optionsText: 'Name',
                                            optionsValue: 'Id',
                                            optionsCaption: 'Select Type', value: loanData().TypeId"></select>*@
                                        <span class="form-span-label">Type</span>
                                        <label class="col-form-label-sm" data-bind="text: loanTypeData().Name"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Item Name</span>
                                        <label class="col-form-label-sm" data-bind="text: loanData().ItemName"></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Start</span>
                                        <div class="input-group date" id="datetimepicker1">
                                            <label class="col-form-label-sm" data-bind="text: loanData().LoanedDate ? moment(loanData().LoanedDate).format('DD-MM-YYYY') : ''"></label>
                                            <span class="form-label-symbol">
                                                <span class="glyphicon glyphicon-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Returned</span>
                                        <div class="input-group date" id='datetimepicker1'>
                                            <label class="col-form-label-sm" data-bind="text: loanData().ReturnedDate ? moment(loanData().ReturnedDate).format('DD-MM-YYYY') : ''"></label>
                                            <span class="form-label-symbol">
                                                <span class="glyphicon glyphicon-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-12">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Description</span>
                                        <label class="col-form-label-sm" data-bind="text: loanData().Description"></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Given By</span>
                                        <label class="col-form-label-sm" data-bind="text: loanData().GivenBy ? loanData().GivenBy :  customerData().Name"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Received By</span>
                                        <label class="col-form-label-sm" data-bind="text: loanData().ReceivedBy"></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr style="margin:10px 0px" />
                        <div class="row clearfix">
                            <div class="col-sm-12">
                                <div class="form-float">
                                    <label>Confirmation <i class="fa fa-bell-o" style="color:#0094ff"></i></label>
                                    <div class="pull-right">
                                        <button type="button" class="btn btn-xs btn-info"><i class="fa fa-send"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-12">
                                <ul id="confirmation-audit-list" data-bind="foreach: confirmationAudit">
                                    <li>
                                        <!-- ko if: Status === 'Sent' -->
                                        <span><i class="fa fa-exclamation-circle primary"></i></span>
                                        <!-- /ko -->
                                        <!-- ko if: Status === 'Confirmed' -->
                                        <span><i class="fa fa-check-circle success"></i></span>
                                        <!-- /ko -->
                                        <span data-bind="text: Routine"></span> was <span style="font-weight:bold;text-transform:uppercase" data-bind="text: Status"></span> to 
                                        <span style="font-weight:bold;" data-bind="text: SentTo"></span>
                                        <span class="form-span-label-nb" data-bind="text: SentDate"></span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>
